#ifndef SYSTEMINFO_H
#define SYSTEMINFO_H

#include <QObject>
#include <QString>

#ifdef Q_WS_WIN
#include <windows.h>
#endif // #ifdef Q_WS_WIN


class SystemInfo : public QObject
{
public:
	static SystemInfo* instance();
	const QString& os() const { return os_str_; }
	int timezoneOffset() const { return timezone_offset_; }
	const QString& timezoneString() const { return timezone_str_; }

private:
	SystemInfo();

#ifdef Q_WS_WIN

	template <typename char_type>
	const size_t length (const char_type * begin) const;

	const QString getWindowsVersionByFallback (bool edition = false, bool servicePackAndBuild = false) const;
	const QString getWindowsEdition (OSVERSIONINFOEX osvi) const;
	const QString getWindowsVersion (bool edition = false, bool servicePackAndBuild = false) const;

#endif // #ifdef Q_WS_WIN

	static SystemInfo* instance_;
	int timezone_offset_;
	QString timezone_str_;
	QString os_str_;
};

#endif
